const generate_background = ((terms) => {
  let str = "";
  terms = terms == null ? "${i} :3 Nix Linux Test Portchain Programming Rust C++ Openbirch Godot".split(" ") : terms;

  const resize_handler = () => {
  const background = document.getElementById("background");
  const size = Math.sqrt(
    window.innerWidth * window.innerWidth +
    window.innerHeight * window.innerHeight) + 100;

  background.style.width = `${size}px`;
  }
  window.onresize = resize_handler;
  resize_handler();

  for (let i = 0; i < 5000; i++) {
    let idx = Math.floor(Math.random() * terms.length);
    str += terms[idx] + " ";
  }


  let idx = Math.floor(Math.random() * terms.length);
  document.getElementById("background").innerText = str;
  try {
    document.querySelector(".footer>marquee").innerText = terms[idx] + " Footer";
  } catch (e) { }
})
